Yosemite : Safari et iPhoto plantent avec la dernière mise à jour d’iTunes

Christophe Laporte |

Si vous êtes encore sous Yosemite et que vous utilisez Safari au quotidien, mieux vaut ignorer la dernière mise à jour d’iTunes.

En effet, cette version (12.8.1), qui sur le papier corrige quelques bogues, rend Safari inopérant. Lorsque l’on essaie de lancer le navigateur web d’Apple, celui-ci affiche un message indiquant qu’il ne peut pas s’ouvrir suite à un problème. [MàJ le 17/12, même problème avec iPhoto, nous a indiqué un lecteur, merci Nicolas).

Si vous avez déjà fait la mise à jour, la solution la plus simple en attendant un correctif d’Apple, est de se tourner vers un autre navigateur web ou se résigner à installer une version plus récente du logiciel système d’Apple.

Pour ceux qui n’ont pas peur de bricoler, il semble que le fait de mettre le fichier suivant (/System/Library/PrivateFrameworks/MobileDevice.framework) à la poubelle ou ailleurs, règle ce problème. Nous n’avons toutefois pas pu nous assurer que cette manipulation est réellement efficace.

avatar iBaby | 

Merci😉

avatar fiatclement320@gmail.com | 

Obsolescence programmée

avatar phil3 | 

@fiatclement320@gmail.com

"Obsolescence programmée"

Fait arrêter de répéter ça chaque fois qu'il y a un problème.

avatar romainB84 | 

@phil3

Je pense que c’était de l’humour 😉
Enfin j’espère on va dire 😂😂

avatar Pipes Chapman | 

hahaha "Obsolescence programmée" pour du soft... surtout un OS datant autant...

comme si les codeurs d'Apple avaient pensé à ça en se levant le matin :) ça devient fatigant de voir systématiquement ce genre de petits post de débiles.

Avec le nouveau MacGé qui se pointe il faudrait mettre un examen de QI à l'entrée pour se débarrasser de ce genre de petits haters sans cerveau

avatar pagaupa | 

@Pipes Chapman

Et je suppose que vous, vous avez un QI qui vous permet de pointer l’autre?
Ce genre de commentaire est tout aussi insupportable.
Avez-vous entendu parlé de la compatibilité ascendante? Ou êtes vous trop jeune pour comprendre?

avatar oomu | 

alors il s'avère que j'ai un QI de Pi et donc oui c'est du fantasme de constamment hurler

"OBSOLENCE PROGRAMMEEEEEEEEMEUUUUUH"

1: on en a rien à foutre de vos fantasmes de complots (alors que mes réponses aux fantasmes de complots, oui on en a foutre, merci :) )

2: en quoi ça nous avance ?

3: ici, il s'agit de patchs mal fagotés qu'Apple maintient pour d'anciennes versions de ces logiciels. Comme prévu et vous le savez, Apple maintient deux versions de macos avant la dernière.

4: oui toute a une fin ! Oui on arrete de maintenir de VIELLES VERSIONS ! OUI vous le savez ! NOn ce n'est pas nouveau ! OUI C'EST NORMAL dans toutes les considérations que vous pouvez avoir.

Accessoirement dans mon activité, on fait pareil. On maintient pas à vie (du client) toutes les versions du produits. Au bout d'un temps, ça passe en maintenance Ultra-Payante (chère), puis même là ça finira par être lâché quand le coût dépasse le gain.

C'est ce qu'on appelle la Vie.

MAis crier des slogans à tout bout de champs sans recul, sans contexte, sans vouloir avoir un peu d'empathie, c'est pas la vie ça, c'est la mort.
2

avatar coucou | 

@Pipes Chapman

T'as un QI < 70 pour ne pas savoir que l'obsolence existe aussi dans le monde des logiciels ? Si ya un test de QI, toi tu le passe pas c'est clair et net le fanboy décérébré. :)

Déjà 4ans c'est que dalle, c'est ~ l'âge de windows 10 :), et effectivement certaines boites rendent inopératente, ou ralentisse fortement l'éxécution, de leurs logiciels/interfaces pour vendre la nouvelle version ultra rapide comme flash. :)

avatar Pipes Chapman | 

très intéressant comme réaction de coucou... un autre hater passe et... il le prend pour lui ! fascinant; il n'est pas le seul d'ailleurs . et toujours leur petit cliché baveux de" fanboy " (sachant que je fais durer personnellement un MacPro 2009 et un iPhone 5 hahaha waou, quel (on ouvre les guillemets du petit cliché crétin) " fanatique de la pomme" je suis !d'ailleurs je m'en fous d'Apple, c'est juste qu'il est devenu pénible de ne pouvoir aller sur Macgé sans tomber à chaque news sur ces petits postilloneurs de bile, ills polluent tout

excusez moi mais je ris toujours "Obsolescence programmée" pour un système (gratuit) et un soft (gratuit)... comme si les dév allaient coder les deux pieds dans la bassine de ciment en vérifiant les incompatibilités vieilles de 4 ans.

avatar pagaupa | 

@Pipes Chapman

Au prix des macs, encore heureux que l’Os est gratuit...

avatar Moonwalker | 

@Pipes Chapman

+10

avatar coucou | 

Te dires que tu racontes de la merde c'est être un hater ? En fait tu doit être à - de 40 de QI :)

avatar oomu | 

"ou ralentisse fortement l'éxécution, de leurs logiciels/interfaces pour vendre la nouvelle version ultra rapide comme flash. :)"

?

des noms. me faut des noms.

"ok, aujourd'hui, on sort le patch Sabotage 0.9, putain nos clients vont morfler, ils vont tous venir acheter le super Pamplemousse++ à 9990 euros prix de base conseillé, MOUHAHAHAHAHHAHAHA"

avatar hugome | 

@Pipes Chapman

Il est probable qu’il s’agit là d’un bug.
Par contre avoir coupé la synchronisation des onglets safari de El Capitan et antérieurs avec iOS 12 y ressemble furieusement, à de l’obsolescence programmée (*).

Comme par hasard les idevices sous iOS 12 peuvent récupérer les onglets de Mac sous El Capitan ( il faudrait pas que ça freine les ventes), mais les mac peuvent plus récupérer ceux des iDevice
Et bien sûr ça n’a jamais été annoncé à la sortie de iOS 12. Plus qu’une solution : racheter un Mac. C’est ballot...

avatar fredsoo | 

@hugome

Ou passer a Chrome... (si j’ai bien compris le problème... je sors du lit)

avatar ForzaDesmo | 

@Pipes Chapman

«Avec le nouveau MacGé qui se pointe il faudrait mettre un examen de QI à l'entrée pour se débarrasser de ce genre de petits haters sans cerveau»

Je ne sais pas si il faut un examen de QI, mais souvent la réponse se trouve entre les extrêmes. Et sans parler de l'expression qui fâche au risque de me faire cataloguer d'hater, bien souvent des maj ne sont pas compatibles sur d' "anciennes machines", fait exprès ou pas par les programmeurs, qui sont injustifiés et qu'heureusement on peut casser par des patch.
Donc l'obsolescence programmée des softs peut exister. Il faut savoir faire la part des choses, sinon l'hater n'est plus celui que l'on croit. 😉

«excusez moi mais je ris toujours "Obsolescence programmée" pour un système (gratuit) et un soft (gratuit)...»

Sauf que cet Os et logiciel gratuit sont liés au fonctionnement du Hardware qui lui n'est pas gratuit si il faut en changer. 😉

avatar pim | 

Safari qui ne s’ouvre pas, rien que ça ! On a échappé de peu à l’écran bleu de la mort au démarrage, là. Et dire qu’à une époque, on se gaussait ouvertement des problèmes de ceux d’en face...

avatar pagaupa | 

Ah itunes! Tout un programme...
Le problème, c’est qu’il pénalise les produits...pourtant Apple.
N’en déplaise à certains.
Ce qui est malhonnête, c’est qu’à la vente on ne nous signale rien alors qu’itunes est le logiciel de sauvegarde...

avatar xiscf | 

La MAJ à était retiré. Je l'avais hier soir, mais j'ai cliqué sur "me le rappeler plus tard" vu que je n'installe jamais une release, une maj, etc., le jour de la publication justement à cause de ce genre de chose. Et donc là, aujourd'hui elle n'est plus disponible (High Sierra 10.13.6).

Ne jamais installer le jour J. idem pour des versions de logiciel x.0, il y a plein d'autres trucs de ce genre qui ne sont que des règles de bon sens.

avatar iNicolas1721 | 

Il y a encore des gens sous Yosemite ??

avatar pagaupa | 

@iNicolas1721

Oui même sous Mountain...

avatar Moonwalker | 

Ben c’est leur faute. Toute machine compatible Mountain Lion est compatible El Capitan.

avatar pagaupa | 

@Moonwalker

Peut-être mais là encore c’est voir le monde à travers une lorgnette.
El Capitan n’est pas forcément compatible avec tous les softs qui l’étaient sous Mountain...

avatar ForzaDesmo | 

@pagaupa

«Peut-être mais là encore c’est voir le monde à travers une lorgnette.
El Capitan n’est pas forcément compatible avec tous les softs qui l’étaient sous Mountain...»

Tout à fait chacun à son environnement propre. Alors être catégorique sur le sujet sans connaitre l'environnement de l'interlocuteur est assez présomptueux.

avatar Moonwalker | 

Les logiciels ça se met à jour.

Pages

CONNEXION UTILISATEUR